# GTEx version 8 rare variant figure generation
This repository will re-generate all main and supplementary figures in "Diverse transcriptomic signatures across human tissues identify functional rare genetic variation" from a collection of processed input data, which can be found at the following link: https://drive.google.com/open?id=1dCxoYDPjK-E7qTUQhHN5Z-e6hiS5BQCG, with descriptions of each file found in the processed_input_data folder here.


## Dependencies and Testing Envivonment 1

* R 3.5.1
* R package ggplot2 (3.3.0)
* R package cowplot (1.0.0)
* R package reshape (0.8.8)
* R package RColorBrewer (1.1-2)
* R package ggthemes (4.2.0)
* R package plyr (1.8.6)
* R package ggseqlogo (0.1)

The following scripts were generated using **Dependencies and Testing Environment 1**:
* plot_figure2.R
* plot_figure4.R
* plot_figureS4.R
* plot_figureS5.R
* plot_figureS6.R
* plot_figureS17.R
* plot_figureS18.R
* plot_figureS19.R
* plot_figureS20.R
* plot_figureS24.R
* plot_figureS27.R
* plot_figureS28.R
* plot_figureS29.R
* plot_figureS30.R
* plot_figureS31.R
* plot_figureS32.R
* plot_figureS33.R
* plot_figureS34.R
* plot_figureS35.R
* plot_figureS36.R
* plot_figureS37.R


## Dependencies and Testing Environment 2

* R 3.6.0
* R package ggplot2 (3.3.1)
* R package cowplot (1.0.0)
* R package dplyr (1.0.0)
* R package data.table (1.12.8)
* R package epitools (0.5-10.1)
* R package ggpubr (0.3.0)
* R package viridis (0.5.1)
* R package ggridges (0.5.2)

The following scripts were generated using **Dependencies and Testing Environment 2**:
* plot_figure1.R
* plot_figure3.R
* plot_figure5.R
* plot_figureS1.R
* plot_figureS3.R
* plot_figureS7.R
* plot_figureS8.R
* plot_figureS9.R
* plot_figureS10.R
* plot_figureS11.R
* plot_figureS12.R
* plot_figureS13.R
* plot_figureS14.R
* plot_figureS16.R
* plot_figureS22.R
* plot_figureS23.R
* plot_figureS25.R
* plot_figureS26.R
* plot_figureS38.R
* plot_figureS40.R
* plot_figureS41.R
* plot_figureS42.R

## Dependencies and Testing Environment 3

* R 4.0.0
* R package tidyverse (1.3.0)
* R package magrittr (1.5)
* R package ggpubr (0.3.0)
* R pakcage RcolorBrewer (1.1-2)
* R package ggdendro (0.1-20)
* R package cowplot (1.0.0)

The following scripts were generated using **Dependencies and Testing Environment 3**:
* plot_figureS2.R
* plot_figureS21.R
* plot_figureS23.R
* plot_figureS39.R

## Authors

* **Nicole Ferraro** -- [nmferraro5](https://github.com/nmferraro5) -- nferraro@stanford.edu 

* **Ben Strober** -- [BennyStrobes](https://github.com/BennyStrobes) -- bstrober3@gmail.com

* **Jonah Einson** -- [jeinson](https://github.com/jeinson) -- jeinson@nygenome.org






